AIIpValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AIIpValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AIIpValue

    java.lang.Object
      org.hyperic.hq.appdef.shared.AIAppdefResourceValue
          org.hyperic.hq.appdef.shared.AIIpValue

All Implemented Interfaces:
  java.io.Serializable

    public class AIIpValue

extends AIAppdefResourceValue
implements java.io.Serializable

Value object for AIIp.

See Also:
  Serialized Form

Constructor Summary
`AIIpValue()`
`AIIpValue(AIIpValue otherValue)`
`AIIpValue(int queueStatus, long diff, boolean ignored, java.lang.String address, java.lang.String mACAddress, java.lang.String netmask, java.lang.Integer id, java.lang.Long mTime, java.lang.Long cTime)`

Method Summary
`boolean` | `addressHasBeenSet()`
`boolean` | `cTimeHasBeenSet()`
`boolean` | `diffHasBeenSet()`
`boolean` | `equals(java.lang.Object other)`
`java.lang.String` | `getAddress()`
`java.lang.Long` | `getCTime()`
`long` | `getDiff()`
`java.lang.Integer` | `getId()`
`boolean` | `getIgnored()`
`java.lang.String` | `getMACAddress()`
`java.lang.Long` | `getMTime()`
`java.lang.String` | `getNetmask()`
`int` | `getQueueStatus()`
`int` | `hashCode()`
`protected boolean` | `hasIdentity()` A Value object have an identity if its attributes making its Primary Key has all been set.
`boolean` | `idHasBeenSet()`
`boolean` | `ignoredHasBeenSet()`
`boolean` | `isIdentical(java.lang.Object other)`
`boolean` | `mACAddressHasBeenSet()`
`boolean` | `mTimeHasBeenSet()`
`boolean` | `netmaskHasBeenSet()`
`boolean` | `queueStatusHasBeenSet()`
`void` | `setAddress(java.lang.String address)`
`void` | `setCTime(java.lang.Long cTime)`
`void` | `setDiff(long diff)`
`void` | `setId(java.lang.Integer id)`
`void` | `setIgnored(boolean ignored)`
`void` | `setMACAddress(java.lang.String mACAddress)`
`void` | `setMTime(java.lang.Long mTime)`
`void` | `setNetmask(java.lang.String netmask)`
`void` | `setQueueStatus(int queueStatus)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.appdef.shared.AIAppdefResourceValue
`getQueueStatusStr, isPlatformDevice`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AIIpValue

    public AIIpValue()

### AIIpValue

    public AIIpValue(int queueStatus,
                     long diff,
                     boolean ignored,
                     java.lang.String address,
                     java.lang.String mACAddress,
                     java.lang.String netmask,
                     java.lang.Integer id,
                     java.lang.Long mTime,
                     java.lang.Long cTime)

### AIIpValue

    public AIIpValue(AIIpValue otherValue)

Method Detail

### getQueueStatus

    public int getQueueStatus()

  Specified by:
    `getQueueStatus` in class `AIAppdefResourceValue`

### setQueueStatus

    public void setQueueStatus(int queueStatus)

### queueStatusHasBeenSet

    public boolean queueStatusHasBeenSet()

### getDiff

    public long getDiff()

### setDiff

    public void setDiff(long diff)

### diffHasBeenSet

    public boolean diffHasBeenSet()

### getIgnored

    public boolean getIgnored()

  Specified by:
    `getIgnored` in class `AIAppdefResourceValue`

### setIgnored

    public void setIgnored(boolean ignored)

### ignoredHasBeenSet

    public boolean ignoredHasBeenSet()

### getAddress

    public java.lang.String getAddress()

### setAddress

    public void setAddress(java.lang.String address)

### addressHasBeenSet

    public boolean addressHasBeenSet()

### getMACAddress

    public java.lang.String getMACAddress()

### setMACAddress

    public void setMACAddress(java.lang.String mACAddress)

### mACAddressHasBeenSet

    public boolean mACAddressHasBeenSet()

### getNetmask

    public java.lang.String getNetmask()

### setNetmask

    public void setNetmask(java.lang.String netmask)

### netmaskHasBeenSet

    public boolean netmaskHasBeenSet()

### getId

    public java.lang.Integer getId()

  Specified by:
    `getId` in class `AIAppdefResourceValue`

### setId

    public void setId(java.lang.Integer id)

### idHasBeenSet

    public boolean idHasBeenSet()

### getMTime

    public java.lang.Long getMTime()

### setMTime

    public void setMTime(java.lang.Long mTime)

### mTimeHasBeenSet

    public boolean mTimeHasBeenSet()

### getCTime

    public java.lang.Long getCTime()

### setCTime

    public void setCTime(java.lang.Long cTime)

### cTimeHasBeenSet

    public boolean cTimeHasBeenSet()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasIdentity

    protected boolean hasIdentity()

  A Value object have an identity if its attributes making its Primary Key has all been set. One object without identity is never equal to any other object.

  Returns:
    true if this instance have an identity.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### isIdentical

    public boolean isIdentical(java.lang.Object other)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.